Bug 193217 - Sound Failure in FC5 for Intel Corporation High Definition Audio Controller
Sound Failure in FC5 for Intel Corporation High Definition Audio Controller
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: sndconfig (Show other bugs)
5
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-26 01:59 EDT by Kelly Craig
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 07:57:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kelly Craig 2006-05-26 01:59:13 EDT
Description of problem: On system-config-soundcard the proper card and drivers
are displayed, however upon test sound play, no output is heard.
alsamixer shows all channels unmuted.
aplay results in no sound as well.
updated alsa drivers reveal no results.


Version-Release number of selected component (if applicable):
00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High
Definition Audio Controller (rev 03)

How reproducible:
Install FC5 on any machine with the above audio card. Most commonly and Dell
Inspiron or XPS M140. AKA: very

Steps to Reproduce:
1. Get a machien with above listed card
2. Install FC5
3. Feel the failure
  
Actual results:
Upon all troubleshooting tips provided on other tickets on bugzilla and other
forums, no sound is heard.

Expected results:
To have normal functionality of sound on FC instillation.

Additional info:
scsound.log
--
------- System Config Soundcard --------
Thu May 25 23:40:23 MDT 2006

------- lspci --------
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML
Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express
Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High
Definition Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 2 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 03)
02:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
02:01.0 FireWire (IEEE 1394): Ricoh Co Ltd Unknown device 0832
02:01.1 Class 0805: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 19)
02:01.2 System peripheral: Ricoh Co Ltd Unknown device 0843 (rev 01)
02:01.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter
(rev 0a)
02:01.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 05)
02:03.0 Network controller: Intel Corporation PRO/Wireless 2915ABG MiniPCI
Adapter (rev 05)

------- lsmod --------
Module                  Size  Used by
i915                   18497  1 
drm                    63701  2 i915
cisco_ipsec           544732  0 
autofs4                19013  1 
i2c_dev                 8773  0 
i2c_core               20673  1 i2c_dev
hidp                   15937  2 
rfcomm                 34517  0 
l2cap                  23617  10 hidp,rfcomm
sunrpc                136573  1 
dm_mirror              19985  0 
dm_multipath           18121  0 
dm_mod                 50905  2 dm_mirror,dm_multipath
video                  14917  0 
button                  6609  0 
battery                 9285  1 
ac                      4933  0 
ipv6                  225697  16 
hci_usb                15957  2 
bluetooth              44069  8 hidp,rfcomm,l2cap,hci_usb
lp                     12297  0 
parport_pc             25445  0 
parport                34313  2 lp,parport_pc
nvram                   8393  0 
ipw2200                95633  0 
ieee80211              28681  1 ipw2200
ohci1394               31749  0 
ieee80211_crypt         6081  1 ieee80211
ieee1394              288665  1 ohci1394
ehci_hcd               29005  0 
b44                    23245  0 
mii                     5313  1 b44
uhci_hcd               28881  0 
sg                     32349  0 
joydev                  9473  0 
snd_hda_intel          17233  1 
snd_hda_codec         112065  1 snd_hda_intel
snd_seq_dummy           3781  0 
snd_seq_oss            28993  0 
snd_seq_midi_event      7105  1 snd_seq_oss
snd_seq                47153  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          8909  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            45009  0 
snd_mixer_oss          16449  1 snd_pcm_oss
snd_pcm                76869  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_timer              22597  2 snd_seq,snd_pcm
snd                    50501  11
snd_hda_intel,snd_hda_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9377  1 snd
snd_page_alloc         10441  2 snd_hda_intel,snd_pcm
ahci                   12613  0 
ext3                  116169  3 
jbd                    52693  1 ext3
ata_piix                9925  4 
libata                 53969  2 ahci,ata_piix
sd_mod                 16449  5 
scsi_mod              124649  4 sg,ahci,libata,sd_mod

------- /etc/modprobe.conf --------
alias eth0 b44

------- /etc/asound.conf --------
#Generated by system-config-soundcard, do not edit by hand
#SWCONF
#DEV 0
defaults.pcm.card 0 
defaults.pcm.device 0 
defaults.ctl.card 0 

------- aplay -l --------
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: STAC92xx Digital [STAC92xx Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

------- amixer --------
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 26 [84%] [on]
  Front Right: Playback 26 [84%] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 191 [75%]
  Front Right: Playback 191 [75%]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 15
  Front Left: Capture 13 [87%] [off]
  Front Right: Capture 13 [87%] [off]
Simple mixer control 'Capture Mux',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 4
  Front Left: 3 [75%]
  Front Right: 3 [75%]
Simple mixer control 'Input Source',0
  Capabilities: enum
  Items: 'Mic' 'Line'
  Item0: 'Line'

------- /proc/asound/version --------
Advanced Linux Sound Architecture Driver Version 1.0.11rc2 (Wed Jan 04 08:57:20
2006 UTC).

------- rpm -q alsa-lib --------
alsa-lib-1.0.11-3.rc2.2

------- rpm -q alsa-utils --------
alsa-utils-1.0.11-4.rc2

------- /proc/asound/modules --------
 0 snd_hda_intel

------- /proc/asound/pcm --------
00-01: STAC92xx Digital : STAC92xx Digital : playback 1
00-00: STAC92xx Analog : STAC92xx Analog : playback 1 : capture 2

------- system-config-soundcard --------

/usr/share/system-config-soundcard/soundcard.py:273: DeprecationWarning: use
gtk.ComboBox
  self.primarySubDeviceOptionMenu = gtk.OptionMenu()
/usr/share/system-config-soundcard/soundcard.py:308: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.timer = gtk.timeout_add (100, self.checkStatus, self)
/usr/share/system-config-soundcard/soundcard.py:548: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  gtk.main()
Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : Signed 16
bit Little Endian, Rate 44100 Hz, Stereo
Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : Signed 16
bit Little Endian, Rate 44100 Hz, Stereo
Read config:
card 0
device 0
HW 0
----------- Kudzu -------------
Desc:           Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High
Definition Audio Controller
Driver:         snd-hda-intel
Device:         None

----------- **** -------------
Comment 1 Martin Stransky 2006-05-28 06:24:30 EDT
Please check this how-to:
http://people.redhat.com/stransky/alsa/

Note You need to log in before you can comment on or make changes to this bug.